#include <windows.h>
#include <winuser.h>

BOOL WINAPI DllMain(HANDLE hModule, DWORD fdwreason, LPVOID lpReserved)
{
    switch(fdwreason) {
    case DLL_PROCESS_ATTACH:
		// The DLL is being mapped into process's address space
		//  Do any required initialization on a per application basis, 
		// return FALSE if failed
		break;
    case DLL_THREAD_ATTACH:
		// A thread is created. Do any required initialization on a
		// per thread basis
		break;
	case DLL_THREAD_DETACH:
		// Thread exits with  cleanup
		break;
    case DLL_PROCESS_DETACH:
		// The DLL unmapped from process's address space. 
		// Do necessary cleanup
		break;
    }
    return TRUE;
}

void __stdcall FuncTest(char *msg)
{
	MessageBox(NULL, msg, "Calling from dll...", MB_ICONINFORMATION);
}
